

#property copyright "23510"
#property link      ""

extern double lots =0.1;
extern int tp   =60;
extern int sl   =30;
extern double trailingstop=300;

extern int  Hourly_Chart_Long_EMA=5;
extern int  Hourly_Chart_Short_EMA=3;
extern int  Hourly_Chart_Short_EMA_SHIFT=3;

extern int  Alligator_Jaws_Period=25;
extern int  Alligator_Jaws_Shift=8;
extern int  Alligator_Teeth_Period=15;
extern int  Alligator_Teeth_Shift=5;
extern int  Alligator_Lips_Period=9;
extern int  Alligator_Lips_Shift=3;

extern int BeyondHigh=8;
extern int BeyondLow=8;

extern int  magic_number=909090;
extern string comment ="15m-GL_EA_Final_Version";

int total,ticket,cnt;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
double fma=iMA(Symbol(),PERIOD_H1,Hourly_Chart_Long_EMA,0,MODE_EMA,PRICE_CLOSE,0);//5 EMA
double tma=iMA(Symbol(),PERIOD_H1,Hourly_Chart_Short_EMA,Hourly_Chart_Short_EMA_SHIFT,MODE_EMA,PRICE_CLOSE,0);//3EMA
double tfma=iMA(Symbol(),PERIOD_M15,25,0,MODE_EMA,PRICE_CLOSE,0); 
 
double j = iAlligator(Symbol(),PERIOD_M15,Alligator_Jaws_Period,Alligator_Jaws_Shift,Alligator_Teeth_Period,Alligator_Teeth_Shift,Alligator_Lips_Period,Alligator_Lips_Shift,MODE_SMMA,PRICE_MEDIAN,MODE_GATORJAW,0);
double t = iAlligator(Symbol(),PERIOD_M15,Alligator_Jaws_Period,Alligator_Jaws_Shift,Alligator_Teeth_Period,Alligator_Teeth_Shift,Alligator_Lips_Period,Alligator_Lips_Shift,MODE_SMMA,PRICE_MEDIAN,MODE_GATORTEETH,0);
double l = iAlligator(Symbol(),PERIOD_M15,Alligator_Jaws_Period,Alligator_Jaws_Shift,Alligator_Teeth_Period,Alligator_Teeth_Shift,Alligator_Lips_Period,Alligator_Lips_Shift,MODE_SMMA,PRICE_MEDIAN,MODE_GATORLIPS,0);

double hourlyhigh = iHigh(Symbol(),PERIOD_H1,1);
double hourlylow  = iLow(Symbol(),PERIOD_H1,1);
int pip =1;
double Highenter = hourlyhigh+BeyondHigh*Point*pip;
double Lowenter  = hourlylow-BeyondLow*Point*pip;

double  highfm=High[iHighest(NULL,0,MODE_HIGH,2,0)];
double  lowfm=Low[iLowest(NULL,0,MODE_LOW,2,0)];

double Highenterfm = highfm+BeyondHigh*Point*pip;
double Lowenterfm  = lowfm-BeyondLow*Point*pip;

double Lowenterfinalfm =NormalizeDouble(Lowenterfm,Digits);
double Highenterfinalfm =NormalizeDouble(Highenterfm,Digits);

total=OrdersTotal();

if(total<1&&Volume[0]<5)
   {
   if(fma>tma&&Bid>j&&Bid>t&&Bid>l)
     {
     if(Bid>=hourlyhigh&&Bid>=Highenterfinalfm)
       {
       ticket=OrderSend(Symbol(),OP_BUY,lots,Ask,3,Ask-sl*Point,Ask+tp*Point,comment,magic_number,0,Green);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
           }
         else Print("Error opening BUY order : ",GetLastError()); 
         return(0); 
         }
       }
         
if(total<1&&Volume[0]<5)
  {
  if(fma<tma&&Bid<j&&Bid<t&&Bid<l)
    {
    if(Bid<=hourlylow&&Bid<=Lowenterfinalfm)
      {
      ticket=OrderSend(Symbol(),OP_SELL,lots,Bid,3,Bid+sl*Point,Bid-tp*Point,comment,magic_number,0,Red);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
           }
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
        }
      }
    }
  }
        
//----
   return(0);
  }
//+------------------------------------------------------------------+